// GameTalkAPI.h : GameTalkAPI DLL ⺻  Դϴ.
//

#pragma once

#include "CommonType.h"
#include "ActorInterface.h"
#include "..\ActorInterface_Private.h"
#include "ManagerInterface.h"

#define GT_API_VERSION		_T("1.30")

#if defined (WIN32)
#ifdef _EXPORTING
   #define DllExport    __declspec(dllexport)
#else
   #define DllExport    __declspec(dllimport)
#endif
#else
   #define DllExport
#endif

extern "C"
{

namespace NeMessengerAPI
{	
	DllExport bool __stdcall InitNeMessengerAPI(LPCWSTR strAPIVersion);
	DllExport bool __stdcall CleanNeMessengerAPI(void);

	// Messenger Actor
	DllExport bool __stdcall CreateMessengerActor(int nUserID, IGTMessengerActor **pValue);
	DllExport bool __stdcall DeleteMessengerActor(int nUserID);
	DllExport bool __stdcall GetMessengerActor(int nUserID, IGTMessengerActor **pValue);
};


namespace NeMessengerAPISetting
{
	DllExport bool __stdcall SetEnvironment(const GT_API_ENVIRONMENT_DATA &pEnv);
	DllExport void __stdcall GetEnvironment(GT_API_ENVIRONMENT_DATA &sEnv);
};

}

// EOF